Skip to main content
POST
/
organizations
Creates organization
curl --request POST \
  --url https://app.dynamicauth.com/api/v0/organizations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "An example name",
  "description": "An example name",
  "websiteUrl": "https://website-sample.com",
  "implementationTimeline": "yesterday"
}
'
{
  "organization": {
    "id": "95b11417-f18f-457f-8804-68e361f9164f",
    "name": "Acme Corp",
    "description": "An example name",
    "websiteUrl": "https://website-sample.com",
    "address": {
      "addressLine1": "An example name",
      "addressLine2": "An example name",
      "city": "An example name",
      "region": "An example name",
      "postalCode": "An example name",
      "country": "US"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Organization data

name
string
required
Maximum string length: 255
Pattern: ^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$
Example:

"An example name"

description
string
Maximum string length: 255
Pattern: ^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$
Example:

"An example name"

websiteUrl
string
Maximum string length: 255
Pattern: ^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/.*)?$
Example:

"https://website-sample.com"

implementationTimeline
enum<string>
Available options:
yesterday,
nextTwoWeeks,
nextTwoMonths,
justBrowsing

Response

Organization response

organization
object